Subject: ab/config-based-hooks-1

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Fri, 01 Oct 2021 17:07:34 +0200

On Thu, Sep 30 2021, Junio C Hamano wrote:

> * ab/config-based-hooks-1 (2021-09-27) 8 commits
>  - hook-list.h: add a generated list of hooks, like config-list.h
>  - hook.c users: use "hook_exists()" instead of "find_hook()"
>  - hook.c: add a hook_exists() wrapper and use it in bugreport.c
>  - hook.[ch]: move find_hook() from run-command.c to hook.c
>  - Makefile: remove an out-of-date comment
>  - Makefile: don't perform "mv $@+ $@" dance for $(GENERATED_H)
>  - Makefile: stop hardcoding {command,config}-list.h
>  - Makefile: mark "check" target as .PHONY
>
>  Mostly preliminary clean-up in the hook API.

I think this has gotten some thorough review from René & Phillip at this
point[1][2]. I think th consensus on the v2 is to just keep the "sed"
invocation I have as-is.

As you know the greater configurable hook topic is pending on this
moving forward, so starting to get at least some of it merged down
before 2.34 would be great. I was hoping we'd have a release with at
least the simpler hooks running via the new hook library (and perhaps
the --stdin cases too).

1. https://lore.kernel.org/git/[email-masked]/
2. https://lore.kernel.org/git/[email-masked]/